Bug 465278 - Clicking notification area icon for Empathy causes app to move position
Clicking notification area icon for Empathy causes app to move position
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: empathy (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
: Triaged
: 524131 (view as bug list)
Depends On:
Blocks: F10DesktopTarget
  Show dependency treegraph
 
Reported: 2008-10-02 10:52 EDT by Brian Pepple
Modified: 2009-12-18 01:29 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:29:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Window position geometry debug info (1.06 KB, text/plain)
2008-10-02 10:52 EDT, Brian Pepple
no flags Details
Istanbul screencast of bug (1.02 MB, application/octet-stream)
2008-10-02 10:53 EDT, Brian Pepple
no flags Details
Gossip screenshot (210.32 KB, application/ogg)
2008-10-24 19:34 EDT, Brian Pepple
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 555896 None None None Never

  None (edit)
Description Brian Pepple 2008-10-02 10:52:29 EDT
Created attachment 319247 [details]
Window position geometry debug info

Description of problem: Clicking the notification area icon causes Empathy to slowly move it's position.  This seems to only occur with compiz enabled.

How reproducible: Always


Steps to Reproduce:
1. Open Empathy with compiz enables, and place it in the lower left hand of the desktop.
2. Click empathy notification area icon to hide and show several times
  
Actual results: Watch empathy slowly crawl to the right side of the desktop


Expected results: It hides & shows without moving it's screen position


Additional info: If I remember correctly we had the same problem with Gossip awhile back, and most likely the fix can be ported over since the code for most of the ui is the same between projects.  If I can free up some time, I'll look at supplying a patch
Comment 1 Brian Pepple 2008-10-02 10:53:56 EDT
Created attachment 319248 [details]
Istanbul screencast of bug
Comment 2 Adel Gadllah 2008-10-24 16:42:55 EDT
That's odd I added a fix for this in compiz-0.7.6-1 (and it solved the exact same issue for pidgin). 

Can you reproduce this with something else than empathy?
gossip/pidgin ?
Comment 3 Brian Pepple 2008-10-24 19:34:34 EDT
Created attachment 321480 [details]
Gossip screenshot

Nope, gossip works fine.
Comment 4 Bug Zapper 2008-11-25 22:28:07 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 James 2009-01-12 16:10:47 EST
I see this without compiz enabled.
Comment 6 Brian Pepple 2009-11-09 23:31:35 EST
*** Bug 524131 has been marked as a duplicate of this bug. ***
Comment 7 Bug Zapper 2009-11-18 03:29:49 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 01:29:04 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.